Skip to content

GET Top APIs Endpoints for Virtual Host.

POST
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/api_endpoints/summary/top_active
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/summary/top_active \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "apiep_summary_filter": { "apiep_category": [ "APIEP_CATEGORY_DISCOVERED" ], "domains": [ "example" ], "end_time": "example", "start_time": "example" }, "name": "example", "namespace": "example", "top_by_metric": "ACTIVITY_METRIC_TYPE_SEC_EVENTS_PERCENTAGE", "topk": 1 }'

Top APIs by requested activity metric. For example most-active APIs or most-attacked APIs.

Examples of this operation.

namespace
required
string

Namespace Namespace of the virtual host for current request.

name
required
string

Virtual Host Name Virtual Host name for current request.

Media typeapplication/json
Top attacked/active API endpoints request per virtual host

Request model for GetTopAPIEndpointsReq API.

object
apiep_summary_filter
object
apiep_category
APIEP Category

Category of API endpoints. Can be DISCOVERED, INVENTORY or SHADOW API. Optional filter by api_category. If absent, endpoints of all categories are considered.

Array<string>
Allowed values: APIEP_CATEGORY_DISCOVERED APIEP_CATEGORY_SWAGGER APIEP_CATEGORY_INVENTORY APIEP_CATEGORY_SHADOW APIEP_CATEGORY_DEPRECATED APIEP_CATEGORY_NON_API
domains
List of Domain

List of domains for which top API endpoints summary should be returned. Optional filter by domains. If absent, endpoints for all domains are considered.

Array<string>
<= 5 items
end_time
end time

Format: unix_timestamp|RFC 3339 Filters the APIEPs with access time < end_time. Optional: If not specified, then the end_time will be evaluated to start_time+2h If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
start_time
start time

Format: unix_timestamp|RFC 3339 Filters the APIEPs with access time >= start_time. Optional: If not specified, then the start_time will be evaluated to end_time-2h If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
name
Virtual Host Name

Virtual Host name for current request.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the virtual host for current request.

string
>= 6 characters <= 1024 characters
top_by_metric
string
default: ACTIVITY_METRIC_TYPE_SEC_EVENTS_PERCENTAGE
Allowed values: ACTIVITY_METRIC_TYPE_SEC_EVENTS_PERCENTAGE ACTIVITY_METRIC_TYPE_REQ_PERCENTAGE
topk
topk

Number of top API endpoints to return in the response.

integer format: int64

A successful response.

Media typeapplication/json
API endpoint GET response

Response model for GetTopAttackedAPIEndpoints API.

object
top_apieps
top_apieps

Top Attacked API endpoints.

Array<object>
<= 10 items
APIEPActivityMetrics

This represents the API endpoint’s activity metrics.

object
apiep_url
apiep_url

URL for API endpoint.

string
>= 1 characters <= 1024 characters
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
top_by_metric_value
top_by_metric_value

The field top_by_metric_value returns one of the following values based on the metric type passed in the request field top_by_metric

integer format: int32
Example
{
"top_apieps": [
{
"method": "ANY"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example